Quick reference for AI agents
Quick reference for AI agents
- Endpoint:
POST https://api.olostep.com/v1/scrapes(also/v1/batchesand/v1/crawls) (auth:Authorization: Bearer <YOUR_API_KEY>) - Required:
url_to_scrape,formats: ["json"],parser: { "id": "@olostep/..." } - Pre-built parser ids:
@olostep/google-search,@olostep/amazon-it-product,@olostep/extract-emails,@olostep/extract-calendars,@olostep/extract-socials - Batches / crawls: batches take
parser: { "id": "..." }; crawls take the id as a string inscrape_options.parser - Returns:
result.json_content(stringified JSON — parse it) andresult.json_hosted_url - Sync or async: Sync on
/v1/scrapes; async on batches and crawls (fetch withGET /v1/retrieve?retrieve_id=...&formats=json) - Use instead: one-off pages or changing layouts → LLM extraction
Pre-Built Parsers
We offer several pre-built parsers for popular websites:- Google Search:
@olostep/google-search - Amazon Product:
@olostep/amazon-it-product - Extract Email:
@olostep/extract-emails - Extract Calendars:
@olostep/extract-calendars - Extract Socials:
@olostep/extract-socials - TikTok data extraction: get in touch with us to get the parser ID
- Google News: get in touch with us to get the parser ID
- Google Maps: get in touch with us to get the parser ID
Example Usage
Response Format
When you make a request to the Olostep API with the parser format, you’ll receive a JSON response like the example below:- Basic request information:
id,object,createdtimestamp,url_to_scrape - Result object with URLs to access different formats of the data
- json_content with structured JSON results including:
searchParameters: Information about the search queryknowledgeGraph: Detailed information about the search subject (when available)organic: List of search results with title, link, position, and snippetpeopleAlsoAsk: Related questions that users commonly search forrelatedSearches: Suggested related search queries
json_content is the main part of the response with the structured JSON results. You can access the JSON content directly from the response or use the hosted URL provided in the response.
Structured Response: json_content
json_hosted_url field in the response:
- Structured JSON: View example JSON
formats parameter and Olostep will return them in the response and provide hosted URLs for each format.
Need a Custom Parser?
If you need a parser for a specific website or the ID of a pre-built parser:- Contact us at info@olostep.com